<?php
include 'config.php';
$filePathSite = $config['filePathSite'];

?>

<html>
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="CSS/style.css">
    <link rel="icon" type="image/x-icon" href="anostra.ico">
    <title>ANostra Boards</title>
    <style>
        /* custom main page layout */
        .split-container {
            display: flex;
            height: 360px;
        }

        .left-panel {
            flex: 1;
            max-width: 256px;
        }

        .right-panel {
            image-rendering: pixelated;
            flex: 1;
            max-width: 480px;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #FFF;
        }

        .right-panel img {
            max-width: 100%;
            max-height: 100%;
        }
    </style>
</head>

<body>
    <div class="split-container">
        <div class="left-panel">

            <hr width= 100%; size= 1>

            <div class="white-border">
                <p>Anostra</p>
            </div>

            <hr width= 100%; size= 1>

            <div class="white-border">
                <p>Server Information:</p>
                <?php
                echo 'Mem usage: ' . (memory_get_peak_usage(true) / 1024 / 1024) . ' MBytes <br>';
                echo 'Mem limit: ' . (ini_get('memory_limit'));
                ?>
            </div>

            <hr width= 100%; size= 1>

            <div class="white-border">
                <p>Board List:</p>
                <?php include 'board_list.php'; ?>
            </div>

            <hr width= 100%; size= 1>



        </div>
		
        <div class="right-panel">
            <?php echo '<img src="' . htmlspecialchars($filePathSite) . '/overboard.gif" />'; ?>
        </div>
		
    </div>
</body>
</html>
